Subject: Re: [PATCH v2] powerpc: Replace the obsolete address of the FSF

From: Segher Boessenkool <[email-masked]>
Date: Fri, 11 Jul 2025 18:13:01 -0500

On Fri, Jul 11, 2025 at 05:02:18PM -0400, Richard Fontana wrote:
> On Fri, Jul 11, 2025 at 3:38 AM Greg Kroah-Hartman
> <[email-masked]> wrote:
> >
> > On Fri, Jul 11, 2025 at 12:32:57AM -0700, Christoph Hellwig wrote:
> > > On Fri, Jul 11, 2025 at 09:30:31AM +0200, Greg Kroah-Hartman wrote:
> > > > That's a crazy exception, and one that should probably be talked about
> > > > with the FSF to determine exactly what the SPDX lines should be.
> > >
> > > It is called the libgcc exception and has been around forever for the
> > > files in libgcc.a that a lot of these low-level kernel helpers were
> > > copied from as the kernel doesn't link libgcc.
> >
> > Ah, so it would be something like this exception:
> >         https://spdx.org/licenses/GCC-exception-2.0.html
> > but the wording doesn't seem to match.
> >
> > I'll let the license lawyers figure this out, thanks for the hint!
> 
> This one
> 
>  * In addition to the permissions in the GNU General Public License, the
>  * Free Software Foundation gives you unlimited permission to link the
>  * compiled version of this file with other programs, and to distribute
>  * those programs without any restriction coming from the use of this
>  * file.  (The General Public License restrictions do apply in other
>  * respects; for example, they cover modification of the file, and
>  * distribution when not linked into another program.)
> 
> is `GCC-exception-2.0`
> 
> while this one:
> 
>  *    As a special exception, if you link this library with files
>  *    compiled with GCC to produce an executable, this does not cause
>  *    the resulting executable to be covered by the GNU General Public License.
>  *    This exception does not however invalidate any other reasons why
>  *    the executable file might be covered by the GNU General Public License.
> 
> does not seem to be in the SPDX exception list. It is very similar to
> `GNU-compiler-exception` except it specifically mentions GCC instead
> of saying "a GNU compiler".

https://spdx.org/licenses/GNU-compiler-exception.html

is exactly this.

Segher